Skip to main content
POST
/
api
/
v1
/
client
/
videos
/
replace
/
price
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/videos/replace/price \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'model=<string>' \
  --form 'video=<string>' \
  --form duration=5 \
  --form width=512 \
  --form height=512 \
  --form video.0='@example-file' \
  --form video.1='@example-file'
{
  "data": {
    "price": 0.15
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

multipart/form-data

Video replace price calculation parameters

model
string
required

The model to use for video replacement. Available models can be retrieved via the GET /api/v1/client/models endpoint.

video
file | null

Input video file. If provided, duration and dimensions are extracted automatically. Required if duration is not provided.

duration
number<float> | null

Input video duration in seconds. Required if video file is not provided.

Example:

5

width
integer | null

Output video width in pixels. If omitted and video file is provided, uses video native width.

Example:

512

height
integer | null

Output video height in pixels. If omitted and video file is provided, uses video native height.

Example:

512

Response

Calculated price for video replace inference.

data
object